Workspace: Uploading file and errors
Nov 12,2015 11:34 AM - Leonardo Candela
Infrastructure: Production

Description

I'm trying to upload a file (1.46 GB) on the workspace and I'm getting an error. Unfortunately, the error message | get is almost
useless ... what shall | do?

| would suggest to improve the error message, it should be a bit more informative and explain to the user what he/she should do (e.g.
retry in a while).

History

#1 - Nov 12, 2015 05:11 PM - Roberto Cirillo
- File imarineportal.log added

From portal log | see an exception when the file is copied in the Portal local folder (not in mongodb):
org.apache.commons.fileupload.MultipartStream$MalformedStreamException: Stream ended unexpectedly

I'm going to investigate about this exception. In attachment the logs of iMarine Portal

#2 - Nov 12, 2015 06:02 PM - Roberto Cirillo

| believe I've discovered something that may be related to this problem: https:/issues.apache.org/jira/browse/FILEUPLOAD-143
The problem seems to be related to the commons-fileupload library that is a dependency of workspace-uploader component.
If it's possible, | suggest to update the library to a more recent version. Now we have the version 1.2.1

#3 - Nov 16, 2015 07:08 PM - Francesco Mangiacrapa

Currently, the workspace-uploader component is using commons-fileupload library at 1.2.1 because is managed in
org.gcube.distribution:maven-portal-bom.

Several versions were released of this libray after 1.2.1. The last version is FileUpload 1.3.1 - 7 February 2014 see:

https://commons.apache.org/proper/commons-fileupload/index.html
We are using FileUpload 1.2.1 - 18 January 2008...

@massimiliano.assante@isti.cnr.it is it possible to update this library? If not, | can update commons-fileupload dependency into workspace-uploader
removing inherits from maven-portal-bom and adding a specific dependency (eg. 1.3.1) only for worskpace-uploader

#5 - Nov 18, 2015 12:36 PM - Francesco Mangiacrapa
- Status changed from New to In Progress

- % Done changed from 0 to 100

In dev enviroment, the library commons-fileupload has been updated (to the org.gcube.distribution:maven-portal-bom) with the last available (v.1.3.1)
and it should fix the issue.

This incident will be closed after performing update and test to pre-production

#6 - Nov 18, 2015 12:36 PM - Francesco Mangiacrapa

- Status changed from In Progress to Resolved
#7 - Nov 19, 2015 02:27 PM - Francesco Mangiacrapa

The new common-file upload library (v.1.3.1) will be added in production enviroment to the next release (gCube 3.10) with new build to
maven-portal-bom.
https://issues.apache.org/jira/browse/FILEUPLOAD-143
https://commons.apache.org/proper/commons-fileupload/index.html

I'm going to delete relation with #1400 (so gCube Release 3.9) to link it then with gCube Release 3.10

#9 - Dec 14, 2015 10:22 AM - Francesco Mangiacrapa

- Status changed from Resolved to Closed

Files
Screen Shot 2015-11-12 at 11.30.42.png 31.4KB Nov 12, 2015 Leonardo Candela
imarineportal.log 13.6 KB Nov 12, 2015 Roberto Cirillo
